@font-face {
    font-family: orbitron;
    src: url(fonts/Orbitron/Orbitron-Regular.ttf);
}

@font-face {
    font-family: avant-garde;
    src: url(fonts/Avantgarde-Normal-Font/AVANTN.ttf);
}


html {
    --neon-pink: #FF6EC7;
    --electric-blue: #7DF9FF;
    --bright-yellow: #FFFF33;
    --neon-green: #39FF14;
    --dark-purple: #301934;

    font-family: "avant-garde", sans-serif;
    overflow-x: hidden;
}

body {
    display: grid;
    justify-items: center;
    min-height: 100vh;
    min-height: 100dvh;
    max-width: 1800px;
    margin: 0 auto;
    perspective: 1000px;
    background: linear-gradient(var(--dark-purple) 65%, var(--neon-pink));
    overflow: hidden;
}

img {
    display: block;
}

a, button {
    color: inherit;
    font-family: inherit;
    font-size: 1.2em;
    text-decoration: none;
    height: fit-content;
    cursor: pointer;
}

section {
    display: grid;
    color: white;
    text-align: center;
    width: 60vw;
    min-height: 70vh;
    min-height: 70dvh;
    margin-block-start: 10vh;
    padding: 2rem;
    background-color: var(--dark-purple);
    box-sizing: border-box;
    border: 5px solid var(--neon-pink);
    border-radius: 50px;
    box-shadow: 0px 0px 20px 5px var(--neon-pink),
        inset 0px 0px 20px 0px var(--neon-pink);
    z-index: 100;
}

section h1 {
    color: transparent;
    font-family: "orbitron", sans-serif;
    font-weight: 600;
    font-size: 3rem;
    text-transform: capitalize;
    margin: 0;
    height: min-content;
    background: linear-gradient(var(--electric-blue), var(--neon-pink));
    background-clip: text;
}

section h2 {
    letter-spacing: 2px;
    text-wrap: balance;
}

nav {
    display: flex;
    gap: 1rem;
    margin-block-start: 0.5rem;
}

nav a {
    color: grey;
    padding: 0.4rem 1.8rem;
    background-color: var(--dark-purple);
    border-radius: 100px;
    border: 1px solid var(--electric-blue);
    box-shadow:
        0px 0px 6px 1px var(--electric-blue),
        inset 2px 5px 10px 0px hsla(0, 0%, 100%, 0.3);
    transition: all 300ms;
}

nav a:hover,
nav a:focus-visible {
    color: rgb(201, 201, 201);
    border-color: var(--bright-yellow);
    box-shadow:
        0px 0px 6px 1px var(--bright-yellow),
        inset 2px 5px 10px 0px hsla(0, 0%, 100%, 0.3);
}

nav a:active {
    box-shadow:
        0px 0px 5px 0px var(--bright-yellow),
        inset 2px 5px 10px 0px hsla(0, 0%, 100%, 0.3);
}


/***** Home *****/
.home-cont {
    grid-template-rows: 1fr 1fr;
    place-items: center;
    gap: 1.5rem;
}

.home-cont p {
    align-self: start;
    font-size: 1.2em;
    text-wrap: balance;
    margin-block-start: 0;
}

.page-links>* {
    position: relative;
    width: 100%;
    padding-block: 0.8rem;
    background-color: var(--dark-purple);
    border: 2px solid var(--electric-blue);
    border-radius: 1000px;
    box-shadow:
        0px 0px 10px 1px var(--electric-blue),
        inset 2px 5px 10px 0px hsla(0, 0%, 100%, 0.3);
    overflow: hidden;
    transition: all 300ms;
}

.page-links>*:hover,
.page-links>*:focus-visible {
    scale: 1.02;
    border-color: var(--neon-pink);
    box-shadow:
        0px 0px 12px 1px var(--neon-pink),
        inset 2px 5px 10px 0px hsla(0, 0%, 100%, 0.3);
}

.page-links>*:active {
    box-shadow:
        0px 0px 5px 0px var(--neon-pink),
        inset 2px 5px 10px 0px hsla(0, 0%, 100%, 0.3);
}

.link-row {
    display: flex;
    gap: 1.5rem;
    width: 100%;
}

.home-cont span {
    font-style: italic;
    margin-inline-end: 1rem;
}

.social-links {
    justify-content: center;
    align-items: center;
}

.social-links a {
    width: fit-content;
    min-width: 80px;
    filter: drop-shadow(0px 0px 10px hsla(183, 100%, 70%, 0.575));
    transition: filter 300ms;
}

a img {
    margin-inline: auto;
}

.social-links a:hover,
.social-links a:focus-visible {
    filter: drop-shadow(0px 0px 10px var(--neon-pink));
}

.social-links a:active {
    filter: drop-shadow(0px 0px 5px var(--neon-pink));
}

sl-tooltip::part(body),
sl-tooltip::part(base__arrow) {
    color: var(--dark-purple);
    font-weight: bold;
    background-color: var(--electric-blue);
    opacity: 0.8;
}


/***** About *****/
.about-cont p {
    text-align: start;
    text-wrap: pretty;
    letter-spacing: 0.5px;
}

.about-cont .page-links {
    margin-top: 1em;
    align-self: end;
}

.links-btn {
    position: relative;
    height: auto;
}

.button-inner {
    position: absolute;
    inset: 0;
    margin-top: 0.3em;
    translate: 0 -110%;
    transition: translate 500ms ease-in-out;
}

.button-links {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5em;
    margin-bottom: 1em;
}

.button-links a {
    min-width: 45px;
    filter: drop-shadow(0px 0px 10px hsla(183, 100%, 70%, 0.575));
    transition: filter 300ms;
}

.button-links a:hover,
.button-links a:focus-visible {
    filter: drop-shadow(0px 0px 5px var(--neon-pink));
}

.button-links a:active {
    filter: drop-shadow(0px 0px 2px var(--neon-pink));
}

.links-btn[aria-selected="true"] .button-inner {
    translate: 0;
}


/***** Games *****/
.games-cont {
    grid-template-rows: auto 1fr;
    width: 80vw;
    max-height: 80dvh;
    margin-block-start: 5vh;
}

.games-cont h1 {
    font-size: 2rem;
}

.games-wrapper {
    position: relative;
    background-color: #3f2144;
    margin-block-start: 1.5rem;
    border-radius: 20px;
    overflow-y: auto;
    overscroll-behavior: contain;
}

.list-section {
    color: var(--dark-purple);
    margin: 1rem;
    background-color: white;
    border-radius: 16px;
}

.list-head {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    column-gap: 1.5rem;
    color: white;
    padding-inline: 1.5rem;
    background-color: var(--dark-purple);
    border-radius: 16px;
    box-shadow:
        0px 0px 8px 0px var(--electric-blue),
        inset 2px 5px 10px 0px hsla(0, 0%, 100%, 0.3);
    cursor: pointer;
    transition: box-shadow 300ms;
}

.list-head-inner {
    display: flex;
    align-items: center;
    column-gap: 1em;
}

.list-head h2 {
    font-size: 1.2em;
    letter-spacing: 2px;
    text-align: start;
}

.list-head .year {
    font-size: 1rem;
}

.rating-wrapper {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    font-size: 0.8rem;
    margin-inline-start: auto;
}

.list-head img {
    width: 2rem;
    object-fit: cover;
    aspect-ratio: 1/1;
    border-radius: 4px;
    transition: scale 300ms, rotate 300ms;
}

sl-rating {
    --symbol-size: 1rem;
    --symbol-color-active: var(--bright-yellow);
}

.list-head:hover,
.list-head:focus-visible {
    box-shadow:
        0px 0px 8px 0px var(--neon-pink),
        inset 2px 5px 10px 0px hsla(0, 0%, 100%, 0.3);
}

.list-head:hover img,
.list-head:focus-visible img {
    scale: 1.05;
}

.chevron {
    margin-inline-start: 1em;
}

.list-section:has(.list-content[data-open="true"]) .chevron {
    rotate: 180deg;
}

.list-content {
    display: grid;
    grid-template-rows: 0fr;
    padding: 0.5em 1.5em;
    transition: grid-template-rows 300ms;
}

.list-content[data-open="true"] {
    grid-template-rows: 1fr;
}

.list-content>* {
    text-align: start;
    overflow: hidden;
}

.list-content h3 {
    margin-block-end: 0.5em;
}

.list-content p {
    margin-block-start: 0;
}

.list-content img {
    float: inline-end;
    width: 30%;
    margin-inline-start: 2em;
}

.game-description {
    display: grid;
    gap: 1.5em;
    grid-template-columns: 2fr minmax(2rem, 1fr);
}

.list-content .rating-wrapper {
    position: relative;
    flex-direction: column;
    font-size: 1em;
    font-weight: bold;
    width: max-content;
    margin-inline-start: 0;
    margin-block-end: 1.5em;
}

.list-content .rating-wrapper span {
    display: none;
    position: absolute;
    left: 100%;
    top: 2em;
    font-size: 0.8em;
    width: max-content;
    padding: 0.25em 0.5em;
    border-radius: 4px;
    background-color: var(--electric-blue);
}

.list-content .wiki-link {
    display: block;
    color: blue;
    font-size: 1em;
    text-decoration: underline;
    margin-block: 1em;
}


/***** Contact *****/
.contact-cont {
    margin-block-start: 5vh;
}

.contact-head {
    text-wrap: balance;
    margin-block-start: 0;
}

.contact-cont .social-links {
    margin-block-start: 1em;
}

.contact-cont form {
    position: relative;
    width: clamp(16em, 75%, 40em);
    margin-inline: auto;
}

.contact-cont .error-msg,
.contact-cont .success-msg {
    display: none;
    position: absolute;
    top: 25%;
    left: 50%;
    translate: -50%;
    font-weight: bold;
}

.contact-cont .error-msg {
    color: crimson;
    text-shadow: 0px 0px 10px red;
}

.contact-cont .success-msg {
    color: var(--neon-green);
    text-shadow: 0px 0px 10px var(--neon-green);
}

.contact-cont .input-wrapper {
    display: flex;
    flex-direction: column-reverse;
    gap: 0.1em;
    margin-block-end: 1.5rem;
    width: 100%;
}

.contact-cont label {
    text-align: start;
}

.contact-cont .input {
    font-family: inherit;
    font-size: inherit;
    font-weight: bold;
    letter-spacing: 1px;
    padding: 0.25em 0.5em;
    border-radius: 4px;
    resize: none;
}

.contact-cont .input:focus-within {
    box-shadow: 0px 0px 12px 1px var(--neon-pink);
    outline: 2px solid var(--neon-pink);
}

.contact-cont .input:focus-within+label {
    text-shadow: 0px 0px 10px var(--neon-pink);
}


/***** Background *****/
.hills-img {
    width: 100%;
}

.grid {
    position: absolute;
    inset: 0;
    background-color: var(--dark-purple);
    display: grid;
    grid-template-rows: repeat(auto-fit, minmax(50px, 1fr));
    grid-template-columns: repeat(auto-fit, minmax(50px, 1fr));
    overflow: hidden;
    transform-style: preserve-3d;
    transform: rotateX(85deg) translateZ(-275px) translateY(75vh);
}

.grid>div {
    width: 100%;
    height: 100%;
    box-shadow: inset 1px 1px 4px 1px var(--electric-blue);
}


@media screen and (max-width: 800px) {

    .home-cont,
    .about-cont,
    .games-cont,
    .contact-cont {
        width: 95vw;
        margin-block-start: 2dvh;
    }

    nav a {
        color: aliceblue;
    }

    .link-row {
        flex-wrap: wrap;
    }

    .follow-text {
        display: none;
    }

    .links-btn {
        height: 2.75em;
    }

    .games-cont {
        padding-inline: 0.5rem;
        max-height: 90dvh;
    }

    .rating-wrapper {
        margin-block-end: 0.8em;
    }

    .list-content img {
        width: 100%;
        margin-inline-start: 0;
        margin-block-end: 0.5em;
    }

    #contact-form .link-row {
        gap: 0;
    }

    .contact-cont .error-msg,
    .contact-cont .success-msg {
        top: 17%;
    }
}